.exchange-grp-card {
  border-radius: 1rem;
  background-color: #F1F9ED;
  border: 1px dashed #D1E9C7;
  padding: 3.2rem;
}
@media (max-width: 1025px) {
  .exchange-grp-card {
    padding: 2.4rem;
  }
}
.exchange-grp-card-inner {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
.exchange-grp-card-title {
  width: 100%;
  color: var(--cl-black);
  margin-bottom: 1.6rem;
}
.exchange-grp-card-title .exchange-value {
  color: var(--cl-primary);
}
.exchange-grp-card-title .claimed {
  display: flex;
  flex-direction: column;
  align-items: start;
}
.exchange-grp-card-title .claimed .exchange-label {
  margin-bottom: 1.2rem;
}
.exchange-grp-card-desc {
  color: var(--cl-black-80);
  margin-bottom: 2.4rem;
}
@media (max-width: 1025px) {
  .exchange-grp-card-desc {
    margin-bottom: 2rem;
  }
}
.exchange-grp-card-body {
  width: 100%;
}
.exchange-grp-card-body-inner {
  display: flex;
  flex-direction: column;
  row-gap: 0.8rem;
  margin-bottom: 2rem;
}
.exchange-grp-card-body-inner .input-wrap {
  background-color: var(--cl-white);
}
.exchange-grp-card-body-sub-txt {
  color: var(--cl-black-80);
}
.exchange-grp-card-body-sub-link {
  color: var(--cl-primary);
}
.exchange-grp-card-body-sub-link.claimed {
  color: var(--cl-black-60);
}
@media (max-width: 1025px) {
  .exchange-grp-card-btn {
    padding-block: 1.5rem;
  }
  .exchange-grp-card-btn .txt {
    font-size: 1.4rem;
  }
}
.exchange-grp-card.is-claimed {
  background-color: var(--bg-light-orange);
  border-color: #FFBEA5;
}
.exchange-grp-card.is-claimed .exchange-grp-card-title {
  border-color: #FFBEA5;
}
.exchange-grp-card.is-claimed .exchange-grp-card-ic {
  color: var(--cl-primary);
}
.exchange-grp-card.is-claimed .el-visible:not(.claimed) {
  display: none;
}
.exchange-grp-card:not(.is-claimed) .el-visible.claimed {
  display: none;
}

.input-wrap {
  display: flex;
  align-items: center;
  justify-content: left;
  height: 6.4rem;
  border-radius: 0.5rem;
  border: solid max(1px, 0.1rem) var(--cl-black-10);
  position: relative;
  transition: all var(--t-md) ease;
  text-align: left;
}
@media (max-width: 767px) {
  .input-wrap {
    height: 4.8rem;
  }
}
.input-wrap:hover:not(.on-focus) .input-label {
  color: var(--cl-black);
}
.input-wrap.on-focus {
  border-color: var(--bd-grey);
}
.input-wrap.on-error {
  border-color: #EF4444;
  margin-bottom: 2.2rem;
}
@media screen and (max-height: 800px) {
  .input-wrap.on-error {
    margin-bottom: 3.5rem;
  }
}
.input-wrap.on-error .input-error {
  opacity: 1;
  transform: translateY(0);
}
@media screen and (max-width: 990px) {
  .input-wrap.on-error {
    margin-bottom: 3.5rem;
  }
}
.input-wrap.on-focus .input-label, .input-wrap.has-value .input-label {
  transform: translateY(-1rem) scale(0.66);
}
@media (max-width: 767px) {
  .input-wrap.on-focus .input-label, .input-wrap.has-value .input-label {
    transform: translateY(-0.7rem) scale(0.66);
  }
}
.input-wrap.on-focus:not(.has-value) .input::before {
  opacity: 1;
}
.input-wrap.has-value .input::before {
  opacity: 0;
}

.input {
  width: 100%;
  height: 100%;
  padding-inline: 1.2rem;
  padding-block: 3rem 1.4rem;
  color: var(--cl-black);
  outline: none;
  line-height: 1em;
}
@media (max-width: 767px) {
  .input {
    padding-block: 2.2rem 1rem;
    font-size: 1.6rem;
    line-height: 1em;
  }
}
.input-label {
  position: absolute;
  left: 1.2rem;
  color: var(--cl-black-30);
  transform-origin: top left;
  display: block;
  pointer-events: none;
  transition: all var(--t-md) ease;
  margin-top: 0;
}
@media (max-width: 767px) {
  .input-label {
    font-size: 1.6rem;
  }
}
.input-error {
  position: absolute;
  left: 0;
  top: 100%;
  margin-top: 0.6rem;
  color: #EF4444;
  opacity: 0;
  transform: translateY(-100%);
  transition: all var(--t-md) ease;
}

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22../src/scss/components/exchange-group-card.scss%22,%22../src/scss/global/tool.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAEA;EACI;EACA;EACA;EACA;;ACOF;EDXF;IAOQ;;;AAGJ;EACI;EACA;EACA;;AAGJ;EACI;EACA;EACA;;AAEA;EACI;;AAGJ;EACI;EACA;EACA;;AAEA;EACI;;AAKZ;EACI;EACA;;AC3BN;EDyBE;IAKQ;;;AAIR;EACI;;AAEA;EACI;EACA;EACA;EACA;;AAEA;EACI;;AAKJ;EACI;;AAGJ;EACI;;AAEA;EACI;;ACzDlB;ED+DE;IAEQ;;EAEA;IACI;;;AAKZ;EACI;EACA;;AAEA;EACI;;AAGJ;EACI;;AAGJ;EACI;;AAKJ;EACI;;;AAKZ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;ACtHF;ED6GF;IAYQ;;;AAIA;EACI;;AAIR;EACI;;AAGJ;EACI;EACA;;AAEA;EAJJ;IAKQ;;;AAGJ;EACI;EACA;;AAGJ;EAbJ;IAcQ;;;AAMJ;EACI;;AC3JV;ED0JM;IAIQ;;;AAMR;EACI;;AAKJ;EACI;;;AAKZ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;ACvLF;EDgLF;IAUQ;IACA;IACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;ACvMN;ED+LE;IAWQ;;;AAIR;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA%22,%22file%22:%22exchange-group-card.css%22%7D */
